# R package name (pkg) version (ver) R release (rrel) and RPM release (rel)
%define pkg survival4
%define ver 1.4
%define rrel 0
%define rel 4
%define __spec_install_post exit 0

Name: R-%{pkg}
Summary: Survival analysis
Group: Applications/Engineering
Copyright: free distribution and use without modification
Packager: Martyn Plummer <plummer@iarc.fr>
Prefix: /usr
URL: http://www.ci.tuwien.ac.at/R/
BuildRoot: /var/tmp/R-%{pkg}
Version: %{ver}.R%{rrel}
Release: %{rel}
Source: ftp://ftp.ci.tuwien.ac.at/pub/R/src/contrib/%{pkg}_%{ver}-%{rrel}.tar.gz
Requires: R-base, R-splines
Excludearch: sparc

%description
Survival analysis

S original by Terry Therneau, ported by Thomas Lumley

%prep
%setup -q -c

# --------------- Don't change anything below this line --------------

%build
#
mkdir --parents ${RPM_BUILD_ROOT}/usr/lib/R/library

# Some people leave object files in the source, which are not
# replaced. This removes them.
#
rm -f %{pkg}/src/*.o
rm -f %{pkg}/src/*.so

# Install it. You need R-base installed on your build machine for this
#
R INSTALL -l ${RPM_BUILD_ROOT}/usr/lib/R/library %{pkg}

# Doc files. There is no standard here, so we assume anything not in
# one of the standard directories is documentation.
#
mkdir doc
for docfile in `ls %{pkg}`; do
   case $docfile in
      INDEX) ;;
      TITLE) ;;
      R) ;;
      man) ;;
      src) ;;
      src-c) ;;      #deprecated
      data) ;;
      exec) ;;
      *) cp --recursive %{pkg}/${docfile} doc/;;
   esac
done

gzip $RPM_BUILD_ROOT/usr/man/*/* || :

#Create file list
#
echo "%attr(-, root, root) /usr/lib/R/library/%{pkg}" > rpm-files
ls doc | sed "s@^@%attr(-,root,root) %doc doc/&@" >> rpm-files

%files -f rpm-files

%clean
rm -rf ${RPM_BUILD_ROOT}/usr/lib/R/library/%{pkg}
rm -rf ${RPM_BUILD_ROOT}/usr/lib/R/library/LibIndex
rm -rf ${RPM_BUILD_ROOT}/${RPM_DOC_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}

%pre
if [ ! -f ${RPM_INSTALL_PREFIX}/lib/R/library/base/TITLE ] || \
   [ ! -x ${RPM_INSTALL_PREFIX}/lib/R/bin/LIBINDEX ]; then
   echo "Can't find R base in" ${RPM_INSTALL_PREFIX}/lib/R
   exit 1
fi

%post
${RPM_INSTALL_PREFIX}/bin/R LIBINDEX

%postun
if [ $1 = 0 ] ; then 
   ${RPM_INSTALL_PREFIX}/bin/R LIBINDEX
fi

%changelog 
* Tue Feb 08 2000 Tim Powers <timp@redhat.com>
- rebuilt against 0.90.1
- gzip man pages if there are any

* Wed Dec 8 1999 Tim Powers <timp@redhat.com>
- quiet setup
- rebuilt against R-base 0.90

* Thu Jul 29 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1 on alpha and i386

* Thu Apr 22 1999 Michael K. Johnson <johnsonm@redhat.com>
- new version
- built for powertools, new group, etc.
